Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Interface RedisCommands

All Superinterfaces:
  RedisConnectionCommands, RedisHashCommands, RedisKeyCommands, RedisListCommands, RedisPubSubCommands, RedisScriptingCommands, RedisServerCommands, RedisSetCommands, RedisStringCommands, RedisTxCommands, RedisZSetCommands

All Known Subinterfaces:
  RedisConnection, StringRedisConnection

All Known Implementing Classes:
  DefaultStringRedisConnection, JedisConnection, JredisConnection, LettuceConnection, SrpConnection

    public interface RedisCommands

extends RedisKeyCommands, RedisStringCommands, RedisListCommands, RedisSetCommands, RedisZSetCommands, RedisHashCommands, RedisTxCommands, RedisPubSubCommands, RedisConnectionCommands, RedisServerCommands, RedisScriptingCommands

Interface for the commands supported by Redis.

Nested Class Summary

Nested classes/interfaces inherited from interface org.springframework.data.redis.connection.RedisStringCommands
`RedisStringCommands.BitOperation`

Nested classes/interfaces inherited from interface org.springframework.data.redis.connection.RedisListCommands
`RedisListCommands.Position`

Nested classes/interfaces inherited from interface org.springframework.data.redis.connection.RedisZSetCommands
`RedisZSetCommands.Aggregate, RedisZSetCommands.Tuple`

Method Summary
`Object` | `execute(String command, byte[]... args)` 'Native' or 'raw' execution of the given command along-side the given arguments.

Methods inherited from interface org.springframework.data.redis.connection.RedisKeyCommands
`del, dump, exists, expire, expireAt, keys, move, persist, pExpire, pExpireAt, pTtl, randomKey, rename, renameNX, restore, sort, sort, ttl, type`

Methods inherited from interface org.springframework.data.redis.connection.RedisStringCommands
`append, bitCount, bitCount, bitOp, decr, decrBy, get, getBit, getRange, getSet, incr, incrBy, incrBy, mGet, mSet, mSetNX, set, setBit, setEx, setNX, setRange, strLen`

Methods inherited from interface org.springframework.data.redis.connection.RedisListCommands
`bLPop, bRPop, bRPopLPush, lIndex, lInsert, lLen, lPop, lPush, lPushX, lRange, lRem, lSet, lTrim, rPop, rPopLPush, rPush, rPushX`

Methods inherited from interface org.springframework.data.redis.connection.RedisSetCommands
`sAdd, sCard, sDiff, sDiffStore, sInter, sInterStore, sIsMember, sMembers, sMove, sPop, sRandMember, sRandMember, sRem, sUnion, sUnionStore`

Methods inherited from interface org.springframework.data.redis.connection.RedisZSetCommands
`zAdd, zAdd, zCard, zCount, zIncrBy, zInterStore, zInterStore, zRange, zRangeByScore, zRangeByScore, zRangeByScoreWithScores, zRangeByScoreWithScores, zRangeWithScores, zRank, zRem, zRemRange, zRemRangeByScore, zRevRange, zRevRangeByScore, zRevRangeByScore, zRevRangeByScoreWithScores, zRevRangeByScoreWithScores, zRevRangeWithScores, zRevRank, zScore, zUnionStore, zUnionStore`

Methods inherited from interface org.springframework.data.redis.connection.RedisHashCommands
`hDel, hExists, hGet, hGetAll, hIncrBy, hIncrBy, hKeys, hLen, hMGet, hMSet, hSet, hSetNX, hVals`

Methods inherited from interface org.springframework.data.redis.connection.RedisTxCommands
`discard, exec, multi, unwatch, watch`

Methods inherited from interface org.springframework.data.redis.connection.RedisPubSubCommands
`getSubscription, isSubscribed, pSubscribe, publish, subscribe`

Methods inherited from interface org.springframework.data.redis.connection.RedisConnectionCommands
`echo, ping, select`

Methods inherited from interface org.springframework.data.redis.connection.RedisServerCommands
`bgSave, bgWriteAof, dbSize, flushAll, flushDb, getConfig, info, info, lastSave, resetConfigStats, save, setConfig, shutdown`

Methods inherited from interface org.springframework.data.redis.connection.RedisScriptingCommands
`eval, evalSha, scriptExists, scriptFlush, scriptKill, scriptLoad`

Method Detail

### execute

    Object execute(String command,
                   byte[]... args)

  'Native' or 'raw' execution of the given command along-side the given arguments. The command is executed as is, with as little 'interpretation' as possible - it is up to the caller to take care of any processing of arguments or the result.

  Parameters:
    `command` - Command to execute
    `args` - Possible command arguments (may be null)
  Returns:
    execution result.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD